# OpalEchoCanceler Class Reference

`#include <echocancel.h>`

Collaboration diagram for OpalEchoCanceler:

[legend]

const PNotifier & | GetReceiveHandler () const
const PNotifier & | GetSendHandler () const
void | SetParameters (const Params &newParam)
void | SetClockRate (const int clockRate)
| PDECLARE_NOTIFIER (RTP_DataFrame, OpalEchoCanceler, ReceivedPacket)
| PDECLARE_NOTIFIER (RTP_DataFrame, OpalEchoCanceler, SentPacket)
PNotifier | receiveHandler
PNotifier | sendHandler
Params | param
double | mean
int | clockRate
PQueueChannel * | echo_chan
PMutex | stateMutex
SpeexEchoState * | echoState
SpeexPreprocessState * | preprocessState
void * | ref_buf
void * | echo_buf
void * | e_buf
void * | noise

## Public Member Functions

Construction
| OpalEchoCanceler ()
| ~OpalEchoCanceler ()

## Data Structures

struct | Params

## Constructor & Destructor Documentation

OpalEchoCanceler::OpalEchoCanceler | ( |  | ) |

Create a new canceler.

OpalEchoCanceler::~OpalEchoCanceler | ( |  | ) |

## Member Function Documentation

const PNotifier& OpalEchoCanceler::GetReceiveHandler | ( |  | ) | const`[inline]`

@name Basic operations

const PNotifier& OpalEchoCanceler::GetSendHandler | ( |  | ) | const`[inline]`

OpalEchoCanceler::PDECLARE_NOTIFIER | ( | RTP_DataFrame | ,
|  | OpalEchoCanceler | ,
|  | SentPacket |  |
| ) |  |  | `[protected]`

OpalEchoCanceler::PDECLARE_NOTIFIER | ( | RTP_DataFrame | ,
|  | OpalEchoCanceler | ,
|  | ReceivedPacket |  |
| ) |  |  | `[protected]`

void OpalEchoCanceler::SetClockRate | ( | const int | clockRate | ) |

Set the clock rate for the preprocessor

Parameters:

  clockRate | > Clock Rate for the preprocessor

void OpalEchoCanceler::SetParameters | ( | const Params & | newParam | ) |

Set the silence detector parameters.

Parameters:

  newParam | > New parameters for silence detector

## Field Documentation

int OpalEchoCanceler::clockRate `[protected]`

void* OpalEchoCanceler::e_buf `[protected]`

void* OpalEchoCanceler::echo_buf `[protected]`

PQueueChannel* OpalEchoCanceler::echo_chan `[protected]`

SpeexEchoState* OpalEchoCanceler::echoState `[protected]`

double OpalEchoCanceler::mean `[protected]`

void* OpalEchoCanceler::noise `[protected]`

Params OpalEchoCanceler::param `[protected]`

SpeexPreprocessState* OpalEchoCanceler::preprocessState `[protected]`

PNotifier OpalEchoCanceler::receiveHandler `[protected]`

void* OpalEchoCanceler::ref_buf `[protected]`

PNotifier OpalEchoCanceler::sendHandler `[protected]`

PMutex OpalEchoCanceler::stateMutex `[protected]`

The documentation for this class was generated from the following file:

- echocancel.h